org.apache.hc.client5.http.auth

## Class StandardAuthScheme

- java.lang.Object
- - org.apache.hc.client5.http.auth.StandardAuthScheme

-     public final class StandardAuthScheme
      extends Object

  Authentication schemes by their names supported by the HttpClient.
  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BASIC` Basic authentication scheme (considered inherently insecure without TLS, but most widely supported).
    `static String` | `BEARER` Bearer authentication scheme (should be used with TLS).
    `static String` | `DIGEST` Digest authentication scheme.
    `static String` | `KERBEROS` Deprecated. Do not use. The GGS based experimental authentication schemes are no longer supported. Consider using Basic or Bearer authentication with TLS instead.
    `static String` | `NTLM` Deprecated. Do not use. the NTLM authentication scheme is no longer supported. Consider using Basic or Bearer authentication with TLS instead.
    `static String` | `SPNEGO` Deprecated. Do not use. The GGS based experimental authentication schemes are no longer supported. Consider using Basic or Bearer authentication with TLS instead.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BASIC

          public static final String BASIC

      Basic authentication scheme (considered inherently insecure without TLS, but most widely supported).
      See Also:
        Constant Field Values

    - #### DIGEST

          public static final String DIGEST

      Digest authentication scheme.
      See Also:
        Constant Field Values

    - #### BEARER

          public static final String BEARER

      Bearer authentication scheme (should be used with TLS).
      See Also:
        Constant Field Values

    - #### NTLM

          @Deprecated
          public static final String NTLM

      Deprecated. Do not use. the NTLM authentication scheme is no longer supported. Consider using Basic or Bearer authentication with TLS instead.
      The NTLM authentication scheme is a proprietary Microsoft Windows authentication protocol as defined in [MS-NLMP].
      See Also:
        Constant Field Values

    - #### SPNEGO

          @Deprecated
          public static final String SPNEGO

      Deprecated. Do not use. The GGS based experimental authentication schemes are no longer supported. Consider using Basic or Bearer authentication with TLS instead.
      SPNEGO authentication scheme as defined in RFC 4559 and RFC 4178.
      See Also:
        Constant Field Values

    - #### KERBEROS

          @Deprecated
          public static final String KERBEROS

      Deprecated. Do not use. The GGS based experimental authentication schemes are no longer supported. Consider using Basic or Bearer authentication with TLS instead.
      Kerberos authentication scheme as defined in RFC 4120.
      See Also:
        Constant Field Values

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.